<?php

namespace domain\Product\ProductAccessory;

use domain\_\AbstractModule;

class ProductAccessoryModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            ProductAccessoryDefinition::class,
            ProductAccessoryBuilder::class,
            ProductAccessoryRepository::class,
            ProductAccessoryManager::class,
        ];
    }

    public function getDefinition(): ProductAccessoryDefinition
    {
        return ProductAccessoryDefinition::getInstance();
    }

    public function getBuilder(): ProductAccessoryBuilder
    {
        return ProductAccessoryBuilder::getInstance();
    }

    public function getRepository(): ProductAccessoryRepository
    {
        return ProductAccessoryRepository::getInstance();
    }

    public function getManager(): ProductAccessoryManager
    {
        return ProductAccessoryManager::getInstance();
    }
}